Skip to main content
GET
/
api
/
v2
/
detectAddress
Detect address
curl --request GET \
  --url https://toncenter.com/api/v2/detectAddress \
  --header 'X-API-Key: <api-key>'
{
  "ok": true,
  "result": {
    "@type": "ext.utils.detectedAddress",
    "raw_form": "<string>",
    "bounceable": {
      "@type": "ext.utils.detectedAddressVariant",
      "b64": "<string>",
      "b64url": "<string>"
    },
    "non_bounceable": {
      "@type": "ext.utils.detectedAddressVariant",
      "b64": "<string>",
      "b64url": "<string>"
    },
    "given_type": "raw_form",
    "test_only": true
  },
  "@extra": "<string>"
}

Authorizations

X-API-Key
string
header
required

API key header of the form X-API-Key: <token>, where <token> is your API key. Requests without a key are limited to 1 RPS. More info here.

Query Parameters

address
string
required

The account address to query. Account address in raw format (e.g., 0:ca6e321c...) or user-friendly format (e.g., EQDKbjIcfM...). All formats are automatically detected.

Response

Returns the address in all supported formats (raw, bounceable, non-bounceable) with base64 and URL-safe variants.

ok
boolean
default:true
required

Returns true if the request succeeded; otherwise false. See the error field for details.

result
object
required

Response data. Present only when ok is true.

@extra
string

Optional request ID that you can pass in the request and receive back in the response. Useful for matching async responses.